Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities.invitations
Class Invitation

    java.lang.Object
      com.bea.netuix.application.communities.invitations.Invitation

All Implemented Interfaces
  Serializable

    public class Invitation

extends Object
implements Serializable

Represents an invitation stored in the system that has been sent to a single user. The wlsUserName field of this object may be null in the case of an external `Invitee`. The validationText, invitationPayload and expirationDate may also be null if the inviting application did not originally specify them.

See Also
  Serialized Form

Method Summary
`String` | `getAttribute(String attributeName)`
`CommunityDefinitionId` | `getCommunityId()`
`Timestamp` | `getCreationDate()`
`Timestamp` | `getExpirationDate()`
`String` | `getFromWlsUserName()`
`String` | `getInvitationPayload()`
`InvitationStatus` | `getInvitationStatus()`
`Collection<MembershipCapability>` | `getInviteCapabilities()`
`String` | `getInviteeAddress()`
`InviteeId` | `getInviteeId()`
`String` | `getValidationText()`
`String` | `getWlsUserName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getWlsUserName

    public String getWlsUserName()

### getFromWlsUserName

    public String getFromWlsUserName()

### getValidationText

    public String getValidationText()

### getInvitationStatus

    public InvitationStatus getInvitationStatus()

### getCommunityId

    public CommunityDefinitionId getCommunityId()

### getCreationDate

    public Timestamp getCreationDate()

### getExpirationDate

    public Timestamp getExpirationDate()

### getInvitationPayload

    public String getInvitationPayload()

### getInviteeId

    public InviteeId getInviteeId()

### getInviteeAddress

    public String getInviteeAddress()

### getAttribute

    public String getAttribute(String attributeName)

### getInviteCapabilities

    public Collection<MembershipCapability> getInviteCapabilities()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved